package com.sf.system.deployment.service;

import com.sf.system.deployment.domain.DeploymentWhitelistInfo;

import java.util.List;

/**
 * 白名单列表Service接口
 * 
 * @author ztzh
 * @date 2024-05-06
 */
public interface IDeploymentWhitelistInfoService 
{
    /**
     * 查询白名单列表
     * 
     * @param id 白名单列表主键
     * @return 白名单列表
     */
    public DeploymentWhitelistInfo selectDeploymentWhitelistInfoById(Long id);

    /**
     * 查询白名单列表列表
     * 
     * @param deploymentWhitelistInfo 白名单列表
     * @return 白名单列表集合
     */
    public List<DeploymentWhitelistInfo> selectDeploymentWhitelistInfoList(DeploymentWhitelistInfo deploymentWhitelistInfo);

    /**
     * 新增白名单列表
     *
     * @param deploymentWhitelistInfo 白名单列表
     * @return 结果
     */
    public int insertDeploymentWhitelistInfo(DeploymentWhitelistInfo deploymentWhitelistInfo);


    /**
     * 修改白名单列表
     * 
     * @param deploymentWhitelistInfo 白名单列表
     * @return 结果
     */
    public int updateDeploymentWhitelistInfo(DeploymentWhitelistInfo deploymentWhitelistInfo);

    /**
     * 发布功能
     * @param id
     * @return
     */
    public int publish(Long id);
    /**
     * 下架功能
     * @param id
     * @return
     */
    public int soldOut(Long id);

    /**
     * 批量删除白名单列表
     * 
     * @param ids 需要删除的白名单列表主键集合
     * @return 结果
     */
    public int deleteDeploymentWhitelistInfoByIds(Long[] ids);

    /**
     * 删除白名单列表信息
     * 
     * @param id 白名单列表主键
     * @return 结果
     */
    public int deleteDeploymentWhitelistInfoById(Long id);

}
